import request from '@/utils/request'

// 查询区域管理列表
export function listArea(query) {
    return request({
        url: '/system/area/list',
        method: 'get',
        params: query
    })
}

// 查询区域管理详细
export function getArea(id) {
    return request({
        url: '/system/area/' + id,
        method: 'get'
    })
}

// 新增区域管理
export function addArea(data) {
    return request({
        url: '/system/area/add',
        method: 'post',
        data: data
    })
}

// 修改区域管理
export function edit(data) {
    return request({
        url: '/system/area/edit',
        method: 'post',
        data: data
    })
}

// 删除区域管理
export function delArea(id) {
    return request({
        url: '/system/area/' + id,
        method: 'delete'
    })
}